%define _mozillaextpath %{firefox_mozillapath}/extensions

Summary: Adblocking extension for firefox
Name: firefox-ext-adblock-plus
Version: 1.2
Release: %mkrel 1
License: MPL
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/1865
Source: http://releases.mozilla.org/pub/mozilla.org/addons/1865/adblock_plus-%{version}-fx+sm+tb+fn.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires:	mozilla-firefox => %{firefox_epoch}:%{firefox_version}
BuildRequires:	firefox-devel

%description
Ever been annoyed by all those ads and banners on the internet that often take
longer to download than everything else on the page? Install Adblock Plus now
and get rid of them. 

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %firefox_mozillapath
%{_mozillaextpath}




%changelog
* Tue May 18 2010 Thierry Vignaud <tv@mandriva.org> 1.2-1mdv2010.0
+ Revision: 545064
- new release

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 1.1.3-3mdv2010.1
+ Revision: 531090
- rebuild

* Wed Mar 24 2010 Funda Wang <fwang@mandriva.org> 1.1.3-2mdv2010.1
+ Revision: 527005
- rebuild

  + Jani Välimaa <wally@mandriva.org>
    - fix summary

* Sun Jan 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.3-1mdv2010.1
+ Revision: 495525
- 1.1.3

* Sat Jan 23 2010 Funda Wang <fwang@mandriva.org> 1.1.2-6mdv2010.1
+ Revision: 495197
- rebuild
- rebuild

* Tue Jan 12 2010 Thierry Vignaud <tv@mandriva.org> 1.1.2-4mdv2010.1
+ Revision: 490324
- relax requires on firefox
- drop bogus obsoletes/provides tags

* Sun Jan 10 2010 Thierry Vignaud <tv@mandriva.org> 1.1.2-3mdv2010.1
+ Revision: 489359
- rebuild for new ff

* Sun Dec 27 2009 Thierry Vignaud <tv@mandriva.org> 1.1.2-2mdv2010.1
+ Revision: 482650
+ rebuild (emptylog)

* Sun Dec 20 2009 Funda Wang <fwang@mandriva.org> 1.1.2-1mdv2010.1
+ Revision: 480365
- New version 1.1.2 (build for ff 3.6b5)

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 1.1.1-2mdv2010.1
+ Revision: 462793
- rebuild for new ff

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 448943
- import firefox-ext-adblock-plus


* Fri Sep 25 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.1.1-1mdv2010.0
-initial release
